Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_AES_GCM_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_BYTE_PTR | pAAD
CK_BYTE_PTR | pIv
CK_ULONG | ulAADLen
CK_ULONG | ulIvBits
CK_ULONG | ulIvLen
CK_ULONG | ulTagBits

## Detailed Description

Definition at line 1855 of file pkcs11t.h.

## Member Data Documentation

CK_BYTE_PTR CK_AES_GCM_PARAMS::pAAD

Definition at line 1859 of file pkcs11t.h.

CK_BYTE_PTR CK_AES_GCM_PARAMS::pIv

Definition at line 1856 of file pkcs11t.h.

CK_ULONG CK_AES_GCM_PARAMS::ulAADLen

Definition at line 1860 of file pkcs11t.h.

CK_ULONG CK_AES_GCM_PARAMS::ulIvBits

Definition at line 1858 of file pkcs11t.h.

CK_ULONG CK_AES_GCM_PARAMS::ulIvLen

Definition at line 1857 of file pkcs11t.h.

CK_ULONG CK_AES_GCM_PARAMS::ulTagBits

Definition at line 1861 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h